3 Replies Latest reply on May 24, 2017 12:56 AM by goodplay

    Trying to launch a game, but keep getting a strange error message

    nilkvi

      Error message says: "Detected AMD Radeon driver version 13.35. The required driver version is 13.251 or later. Please update your drivers at http://amd.com/ before playing the game." So, I'm supposed to upgrade, but it is already upgraded to the latest version...not sure how to fix this...